opal/util/ Directory Reference.TH "opal/util/ Directory Reference" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/ Directory Reference \- 
.SS "Files"

.in +1c
.ti -1c
.RI "file \fBargv.c\fP"
.br
.ti -1c
.RI "file \fBargv.h\fP"
.br
.RI "\fIGeneric routines for 'argv'-like handling. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBbasename.c\fP"
.br
.ti -1c
.RI "file \fBbasename.h\fP"
.br
.RI "\fIReturns an OS-independant basename() of a given filename. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBbit_ops.h\fP"
.br
.ti -1c
.RI "file \fBcmd_line.c\fP"
.br
.ti -1c
.RI "file \fBcmd_line.h\fP"
.br
.RI "\fIGeneral command line parsing facility for use throughout Open MPI. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBconvert.c\fP"
.br
.ti -1c
.RI "file \fBconvert.h\fP"
.br
.RI "\fIThis file will hopefully not last long in the tree, but it's unfortunately necessary for now. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBdaemon_init.c\fP"
.br
.ti -1c
.RI "file \fBdaemon_init.h\fP"
.br
.ti -1c
.RI "file \fBerror.c\fP"
.br
.ti -1c
.RI "file \fBerror.h\fP"
.br
.ti -1c
.RI "file \fBfew.c\fP"
.br
.ti -1c
.RI "file \fBfew.h\fP"
.br
.ti -1c
.RI "file \fBif.c\fP"
.br
.ti -1c
.RI "file \fBif.h\fP"
.br
.ti -1c
.RI "file \fBmalloc.c\fP"
.br
.ti -1c
.RI "file \fBmalloc.h\fP"
.br
.ti -1c
.RI "file \fBnumtostr.c\fP"
.br
.ti -1c
.RI "file \fBnumtostr.h\fP"
.br
.ti -1c
.RI "file \fBopal_environ.c\fP"
.br
.ti -1c
.RI "file \fBopal_environ.h\fP"
.br
.RI "\fIGeneric helper routines for environment manipulation. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBos_create_dirpath.c\fP"
.br
.ti -1c
.RI "file \fBos_create_dirpath.h\fP"
.br
.RI "\fICreates a directory tree set to the specified permissions. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBos_path.c\fP"
.br
.ti -1c
.RI "file \fBos_path.h\fP"
.br
.RI "\fICreates an operating system-acceptable path name. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBoutput.c\fP"
.br
.ti -1c
.RI "file \fBoutput.h\fP"
.br
.RI "\fIOPAL output stream facility. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBpath.c\fP"
.br
.ti -1c
.RI "file \fBpath.h\fP"
.br
.ti -1c
.RI "file \fBpow2.c\fP"
.br
.ti -1c
.RI "file \fBpow2.h\fP"
.br
.ti -1c
.RI "file \fBprintf.c\fP"
.br
.ti -1c
.RI "file \fBprintf.h\fP"
.br
.RI "\fIBuffer safe printf functions for portability to archaic platforms. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBqsort.c\fP"
.br
.ti -1c
.RI "file \fBqsort.h\fP"
.br
.ti -1c
.RI "file \fBshow_help.c\fP"
.br
.ti -1c
.RI "file \fBshow_help.h\fP"
.br
.RI "\fIThe 'show help' subsystem (SHS) in Open MPI is intended to help the developer convey meaningful information to the user (read longer than is convenient in a single printf), particularly when errors occur. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBshow_help_lex.c\fP"
.br
.ti -1c
.RI "file \fBshow_help_lex.h\fP"
.br
.ti -1c
.RI "file \fBstacktrace.c\fP"
.br
.ti -1c
.RI "file \fBstacktrace.h\fP"
.br
.ti -1c
.RI "file \fBstrncpy.c\fP"
.br
.ti -1c
.RI "file \fBstrncpy.h\fP"
.br
.ti -1c
.RI "file \fBtrace.c\fP"
.br
.ti -1c
.RI "file \fBtrace.h\fP"
.br
.in -1c
